Subject: Re: bug#48661: reproducibility: build date in modus-themes.info

From: Andreas Schwab <[email-masked]>
Date: Wed, 26 May 2021 12:40:11 +0200

On Mai 26 2021, Kévin Le Gouguec wrote:

> Question from the peanut gallery: are timestamp information really
> verboten in reproducible builds?  I was led to believe that the
> SOURCE_DATE_EPOCH mechanism was introduced to allow programs to keep
> embedding this information, while giving packagers the means to assert
> reproducibility.

That requires support for SOURCE_DATE_EPOCH in each place a timestamp is
generated.  For example, gcc does that for __DATE__ and __TIME__.  If
org wants to keep the timestamp it should add support for
SOURCE_DATE_EPOCH.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."